tbb::interface6::memory_pool_allocator< void, P > Class Template Reference
Memory Allocation

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...

`#include <memory_pool.h>`

## Classes

struct | rebind

## Public Types

typedef P | pool_type
typedef void * | pointer
typedef const void * | const_pointer
typedef void | value_type

## Public Member Functions

| memory_pool_allocator (pool_type &pool) throw ()
| memory_pool_allocator (const memory_pool_allocator &src) throw ()
template<typename U >
| memory_pool_allocator (const memory_pool_allocator< U, P > &src) throw ()

## Protected Attributes

pool_type * | my_pool

## Friends

template<typename U , typename R >
class | memory_pool_allocator
template<typename V , typename U , typename R >
bool | operator== (const memory_pool_allocator< V, R > &a, const memory_pool_allocator< U, R > &b)
template<typename V , typename U , typename R >
bool | operator!= (const memory_pool_allocator< V, R > &a, const memory_pool_allocator< U, R > &b)

## Detailed Description

### template<typename P>
class tbb::interface6::memory_pool_allocator< void, P >

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1.

The documentation for this class was generated from the following file:

- memory_pool.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.